# Test 环境则使用 Entity 创建数据库。
spring.jpa.hibernate.ddl-auto=create

# Test 环境将使用内存数据库。
spring.datasource.url=jdbc:h2:mem:test;MODE=MYSQL
spring.datasource.driver-class-name=org.h2.Driver
spring.datasource.username=root
spring.datasource.password=test
spring.jpa.show-sql=false

spring.jpa.properties.hibernate.jdbc.time_zone=UTC
spring.jpa.properties.hibernate.format_sql=true

# Test 环境不使用 flyway 创建数据库 schema。
spring.flyway.enabled=false

# 使用 Log 来展示 SQL
logging.level.org.springframework=OFF
logging.level.root=OFF
logging.level.org.hibernate.SQL=DEBUG
logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE
